/**
 * CMI : Cluster Method Invocation
 * Copyright (C) 2008 Bull S.A.S.
 * Contact: cmi@ow2.org
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or (at your option) any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA
 * --------------------------------------------------------------------------
 * $Id: IServerConfig.java 2438 2010-02-24 16:20:30Z benoitf $
 * --------------------------------------------------------------------------
 */

package org.ow2.cmi.controller.server;

import org.ow2.cmi.controller.common.IConfig;
import org.ow2.cmi.controller.server.filter.IFilter;

/**
 * Extend the way to configure a CMI server.
 * @author Loris Bouzonnet
 */
public interface IServerConfig extends IConfig {

    /**
     * Add local filters.
     * @param filters local filters
     */
    void addLocalFilters(IFilter[] filters);

    /**
     * @return true indicates if protocols must be added when starting the server
     */
    boolean isProtocolAdded();
    /**
     * Get the deploy directory.
     * @return stringified url of the directory where to put stuffs to be deployed.
     */
    String getDeployDirectory();

    /**
     * Get the deploy directory.
     * @param deployDirectory stringified url of the directory where to put stuff to be deployed.
     */
    void setDeployDirectory(String deployDirectory);

}
